<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSettingsTable extends Migration
{
    public function up()
    {
        Schema::create('settings', function (Blueprint $table): void {
            $table->id();
            $table->string('group');
            $table->string('key');
            $table->text('value')->nullable();

            $table->timestamps();

            $table->index('group');
            $table->index('key');
        });
    }

    public function down()
    {
        Schema::dropIfExists('settings');
    }
}
